clay-0.15.0: CSS preprocessor as embedded Haskell.

Safe Haskell | None
Language | Haskell2010

Clay.Render

Synopsis

- data Config = Config {
  - indentation :: Builder
  - newline :: Builder
  - sep :: Builder
  - lbrace :: Builder
  - rbrace :: Builder
  - finalSemicolon :: Bool
  - warn :: Bool
  - align :: Bool
  - banner :: Bool
  - comments :: Bool
  }
- pretty :: Config
- compact :: Config
- render :: Css -> Text
- htmlInline :: Config
- putCss :: Css -> IO ()
- renderWith :: Config -> [App] -> Css -> Text
- renderSelector :: Selector -> Text
- withBanner :: Text -> Text

# Documentation

data Config #

Constructors

Config |
Fields indentation :: Builder newline :: Builder sep :: Builder lbrace :: Builder rbrace :: Builder finalSemicolon :: Bool warn :: Bool align :: Bool banner :: Bool comments :: Bool

pretty :: Config #

Configuration to print to a pretty human readable CSS output.

compact :: Config #

Configuration to print to a compacted unreadable CSS output.

render :: Css -> Text #

Render a stylesheet with the default configuration. The pretty printer is used by default.

htmlInline :: Config #

Configuration to print to a compacted unreadable CSS output for embedding inline with HTML.

putCss :: Css -> IO () #

Render to CSS using the default configuration (`pretty`) and directly print to the standard output.

renderWith :: Config -> [App] -> Css -> Text #

Render a stylesheet with a custom configuration and an optional outer scope.

renderSelector :: Selector -> Text #

Render a single CSS `Selector`.

withBanner :: Text -> Text #